## tracker 3.4.0

=== debian/changelog ===
tracker (3.4.0-1+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 15 Nov 2022 16:59:43 +0000

tracker (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:29:02 -0400

tracker (3.4.0~rc-2) unstable; urgency=medium

  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 12:23:32 -0400

tracker (3.4.0~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.53

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:45:46 -0400

tracker (3.4.0~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 04:48:59 -0400

tracker (3.4.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtrakcer-sparql-3.0-0.install: Update
  * debian/libtracker-sparql-3.0-0.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:27:03 -0400

tracker (3.3.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with libsoup3
  * debian/control.in: Build-Depend on libxml2-dev

  [ Paul Gevers ]
  * tests: conditionally skip some tests under autopkgtest as they fail
    (Closes: #903374)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Aug 2022 12:03:40 -0400

tracker (3.3.2-1) unstable; urgency=high

  * New upstream release
  * Drop patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:41:38 -0400

tracker (3.3.1-2) experimental; urgency=medium

  * Cherry-pick patch to fix starred feature in Nautilus

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 13:26:18 -0400

tracker (3.3.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 01 Jun 2022 15:01:44 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

# needed for Ubuntu
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dunicode_support=icu \
		-Dstemmer=enabled \
		-Ddocs=true \
		-Dbash_completion=true \
		-Dbash_completion_dir=/usr/share/bash-completion/completions \
		-Dsoup=soup3 \
		-Dsystemd_user_services=true \
		-Dsystemd_user_services_dir=/usr/lib/systemd/user

# Enforce tight shlibs dependencies
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4

override_dh_auto_test:
	#dbus-run-session -- dh_auto_test --no-parallel

## tracker 3.4.2

=== debian/changelog ===
tracker (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Dec 2022 16:51:16 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: tracker
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               meson (>= 0.53),
               pkg-config,
               asciidoc-base,
               libdbus-1-dev (>= 1.3.1),
               libglib2.0-dev (>= 2.46.0),
               libsqlite3-dev (>= 3.8.3),
               libstemmer-dev,
               zlib1g-dev,
               libupower-glib-dev (>= 0.9.0),
               libxml2-dev,
               uuid-dev,
               valac,
               bash-completion,
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.10),
               libicu-dev,
               libjson-glib-dev (>= 1.4),
               libsoup-3.0-dev,
               dbus (>= 1.8) <!nocheck>,
               python3-gi <!nocheck>,
               gir1.2-glib-2.0 <!nocheck>,
               python3-tap <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
Homepage: https://wiki.gnome.org/Projects/Tracker

Package: tracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shared-mime-info,
         libglib2.0-bin,
         default-dbus-session-bus | dbus-session-bus
Recommends: tracker-miner-fs
Breaks: tracker-miner-fs (<< 3.1.1)
Description: metadata database, indexer and search tool
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: metadata database, indexer and search tool - library
 This package contains a library to perform SPARQL queries and updates in the
 Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-sparql-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtracker-sparql-3.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.52.0),
         libicu-dev (>= 4.8.1.1),
         libjson-glib-dev (>= 1.4),
         libxml2-dev (>= 2.6),
         libsoup-3.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.15.0),
         gir1.2-tracker-3.0 (= ${binary:Version})
Suggests: libtracker-sparql-doc
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-sparql.
 .
 libtracker-sparql provides a library to perform SPARQL queries and updates in
 the Tracker store.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Breaks: libtracker-sparql-doc
Replaces: libtracker-sparql-doc
Provides: libtracker-sparql-doc (= ${binary:Version})
Description: metadata database, indexer and search tool - API documentation
 This package contains the API documentation for libtracker-sparql-3
 and ontology-3, as well as some example programs.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: gir1.2-tracker-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for Tracker
 This package contains introspection data for libtracker-control,
 libtracker-miner and libtracker-sparql.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-test-utils
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-tracker-3.0 (= ${binary:Version}),
         gir1.2-glib-2.0,
         libglib2.0-bin
Description: test utilities for tracker
 This package contains shared test utilities provided by tracker, for use by
 tracker-miners.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	#dbus-run-session -- dh_auto_test --no-parallel
+	dbus-run-session -- dh_auto_test --no-parallel

## tracker 3.7.1

=== meson_options.txt ===
option('docs', type: 'boolean', value: true, yield: true,
       description: 'Generate API documentation with gtk-doc')
option('man', type: 'boolean', value: true, yield: true,
       description: 'Install man pages')
option('override_sqlite_version_check', type: 'boolean', value: false,
       description: 'Override checks for broken sqlite versions')

option('stemmer', type: 'feature', value: 'auto',
       description: 'Stemming words while indexing')
option('unicode_support', type: 'combo', choices: ['icu', 'unistring', 'auto'], value: 'auto',
       description: 'Unicode support library to use')
option('avahi', type: 'feature', value: 'auto',
       description: 'DNS-SD support on HTTP endpoints')

option('bash_completion', type: 'boolean', value: true,
       description: 'Whether to install Bash completion files')
option('bash_completion_dir', type: 'string',
       description: 'Directory to install Bash completion files')
option('dbus_services_dir', type: 'string', value: '',
       description: 'Directory to install D-Bus .service files (or empty to use default)')
option('systemd_user_services', type: 'boolean', value: true, yield: true,
       description: 'Whether to install systemd user .service files')
option('systemd_user_services_dir', type: 'string', value: '', yield: true,
       description: 'Directory to install systemd user unit files (or empty to use default)')
option('tests', type: 'boolean', value: true,
       description: 'Whether to build tests')
option('test_utils', type: 'boolean', value: true,
       description: 'Whether to install the trackertestutils Python package')
option('test_utils_dir', type: 'string', value: '',
       description: 'Directory to install trackertestutils Python package (or empty to use the default)')
option('tests_tap_protocol', type: 'boolean', value: false,
       description: 'Whether to enable TAP protocol on tests')
option('introspection', type: 'feature', value: 'enabled',
       description: 'Whether to enable introspection')
option('vapi', type: 'feature', value: 'enabled',
       description: 'Whether to enable Vala binding generation')

option('soup', type: 'array', value: ['auto'],
       choices: ['auto', 'soup2', 'soup3'],
       description: 'Which major versions of libsoup to use')

=== debian/changelog ===
tracker (3.7.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:29:02 +0000

tracker (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:43:13 -0400

tracker (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 09:31:32 -0400

tracker (3.7~rc-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Disable build tests when nocheck is set (Closes: #1061464)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1065464)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:01:20 -0500

tracker (3.7~rc-2) experimental; urgency=medium

  * debian/tests/unit-tests:
    - the autopkgtest are using the upstream buildtests which aren't
      installed tests. The tests setup isn't rebuilding the libraries but
      then LD_LIBRARY_PATH is forced by meson on a local path and not
      considering the system location, which means it doesn't fail the
      needed libraries. Workaround the problem by copying the system
      library to the local path in the unit-tests script. It's not ideal
      but the alternative of rebuilding the library would mean we wouldn't
      be testing the right binaries.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Mar 2024 10:29:53 +0100

tracker (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 18:45:58 -0500

tracker (3.7~beta-3) experimental; urgency=medium

  * Add debian/salsa-ci.yml
  * Drop workaround patches for 32-bit build test issues and cherry-pick
    upstream's new fixes instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 10:56:27 -0500

tracker (3.7~beta-2) experimental; urgency=medium

  * Revert a commit & 2 fixups that broke build tests on 32-bit
    (Closes: #1035903)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 21:50:34 -0500

tracker (3.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * debian/tracker.install: Install additional binaries
  * debian/tracker.install: /usr/libexec/tracker-3 is no longer provided
  * Add/restore patch to use bash because of bashisms in scripts

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 17:30:58 -0500

tracker (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:38:11 -0400

tracker (3.6~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:08:03 -0400

tracker (3.6~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop /usr/bin/env patch applied in new release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 20:58:41 -0400

tracker (3.5.3-1) experimental; urgency=medium

  * New upstream release
    - Fix datetime issues for 32-bit architectures (Closes: #1035903)
  * Add patch to use full /usr/bin/env path instead of /bin/env

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jun 2023 09:59:18 -0400

tracker (3.5.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on graphviz for docs build
  * debian/copyright: Add generated docs to Files-Excluded

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 May 2023 16:32:04 -0400

tracker (3.5.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release
  * Add debian/upstream/metadata
  * Update renamed lintian tag names in lintian overrides
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 May 2023 16:22:40 -0400

tracker (3.5.0-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick build test fix
  * Build-Depend on gi-docgen
  * debian/libtracker-sparql-3.0-0.install: Install newly split out ICU
    parser plugin
  * deibn/libtracker-sparql-3.0-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 17:11:34 -0400

tracker (3.5.0~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libtracker-sparql-3.0-0.symbols: Add new symbols
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:18:00 -0500

tracker (3.4.2-3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Increase dh_auto_test timeout (Closes: #1026236)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 12:09:03 -0400

tracker (3.4.2-2) unstable; urgency=medium

  * Cherry-pick proposed patch to fix tests with sqlite 3.42
  * debian/gbp.conf: Branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 09:47:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: tracker
 Section: utils
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                meson (>= 0.53),
-               pkg-config,
+               pkgconf,
                asciidoc-base,
+               gi-docgen,
+               graphviz,
                libdbus-1-dev (>= 1.3.1),
                libglib2.0-dev (>= 2.46.0),
                libsqlite3-dev (>= 3.8.3),
@@ -25,7 +24,6 @@
                bash-completion,
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),
-               gobject-introspection (>= 0.10),
                libicu-dev,
                libjson-glib-dev (>= 1.4),
                libsoup-3.0-dev,
@@ -33,11 +31,11 @@
                python3-gi <!nocheck>,
                gir1.2-glib-2.0 <!nocheck>,
                python3-tap <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/tracker
 Vcs-Git: https://salsa.debian.org/gnome-team/tracker.git
-Homepage: https://wiki.gnome.org/Projects/Tracker
+Homepage: https://tracker.gnome.org/
 
 Package: tracker
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,15 @@
 		-Dbash_completion_dir=/usr/share/bash-completion/completions \
 		-Dsoup=soup3 \
 		-Dsystemd_user_services=true \
-		-Dsystemd_user_services_dir=/usr/lib/systemd/user
+		-Dsystemd_user_services_dir=/usr/lib/systemd/user \
+		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),false,true)
+
 
 # Enforce tight shlibs dependencies
 override_dh_makeshlibs:
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test --no-parallel
+	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 3
+
+override_dh_gnome_clean:

## tracker 3.7.3

=== debian/changelog ===
tracker (3.7.3-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Fix autopkgtests and cherrypick some upstream build fixes
    (Closes: #1068468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jul 2024 23:08:29 +0200

tracker (3.7.3-1) unstable; urgency=medium

  * New upstream release
    - Update for compatibility with SQLite 3.45.3 (Closes: #1069416)
  * Increase build test timeout multiplier to try to help riscv64 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 13:31:35 -0400

tracker (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 17:30:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tracker
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/tracker-3.0/ -- -c4
 
 override_dh_auto_test:
-	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 3
+	dbus-run-session -- dh_auto_test --no-parallel -- --timeout-multiplier 5
 
 override_dh_gnome_clean:

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, locales

## tracker 4.3

=== Makefile ===
# Makefile for any machine
# - based on my newer makefile and the GREATE
# modifications by Mike Battersby
###############################################################################
#
# CONFIGURATION OPTIONS
#

# Choose your machine type. Possible types as of this version (4.0)
# are
#  hpalib, hplow, hp3, dec, solaris, sparc, linux, freebsd, sgi, soundblaster.
MACHINE = linux

# The name of your C compiler. For most machines this will be
# either 'cc' or 'gcc'.
CC = cc

# The suffix for object files. This will usually be .o, except for sgi (.j)
O = .o
OPTS=-c
# O =.j
# OPTS=-j

# User interface type. Right now, this is Unix as there are no alternatives.
UI = Unix/./

# Destination directory for tracker binaries and manpage.
#
# If you don't wish to use the 'make install' and 'make install.man'
# commands, you can ignore these.
BIN_DIR = /usr/local/bin
MAN_DIR = /usr/local/man

# How to install the binaries and manpage. If you have a unix system,
# use the GNU install program if you have it, otherwise try 'cp'. For
# non-unix systems, make this the command for copying a file with the
# following syntax
#  <program_name> <source_name> <destination_name>
#
# If you don't wish to use the 'make install' and 'make install.man'
# commands, you can ignore this.
INSTALL = install

# Permissions and user/group id's to install with. Non-unix users
# should comment these out (alternatively, you can use these to
# provide arguments for the above $(INSTALL) program). If you want
# to install tracker setuid root (which will allow it to renice
# itself when non-root users run it), change the "-m 755" below to
# "-m 4755". If you do so, you must be root to run make install.
#
# If you don't wish to use the 'make install' and 'make install.man'
# commands, you can ignore these.
INST_BIN_OPT = -s -m 755 -o root -g bin
INST_MAN_OPT = -m 644 -o root -g bin
###############################################################################
#
# C compiler flags and libraries for each machine.
# Unless you are porting this to a new architecture, you shouldn't
# need to change these (on the other hand, if you understand what you
# are doing, go ahead!).
#

CFLAGS_hpalib = +O3 +OS +ESlit
LIBS_hpalib   = -lAt -lAlib -lm
AUDIO_hpalib = Hpux/alib_
CONFIG_hpalib = Hpux/

CFLAGS_hplow = -Ae +O3 -Wl, -a,archive -s
LIBS_hplow=-lM
AUDIO_hplow = Hpux/low_
CONFIG_hplow = Hpux/

# yet another port to hp! This one might be the best yet.
CFLAGS_hp3 = +O3 +OS +ESlit
LIBS_hp3   = -lAt -lAlib -lm
AUDIO_hp3 = Hpux/3_
CONFIG_hp3 = Hpux/3_

CFLAGS_solaris = -O
LIBS_solaris   = -lm
AUDIO_solaris = Sparc/./
CONFIG_solaris = Sparc/solaris_


CFLAGS_sparc = -O -Bstatic
LIBS_sparc   = -lm
AUDIO_sparc = Sparc/./
CONFIG_sparc = Sparc/

CFLAGS_dec = -O 
LIBS_dec   = -lm -lAF
AUDIO_dec = AF/
CONFIG_dec = AF/dec_

CFLAGS_sgi = -j -O 
LIBS_sgi   = -laudio -lm
AUDIO_sgi = Sgi/
CONFIG_sgi = Sgi/

CFLAGS_soundblaster = -O
LIBS_soundblaster   = -lm
AUDIO_soundblaster = Soundblaster/
CONFIG_soundblaster = Soundblaster/

CFLAGS_linux = -N -O2 -funroll-loops
LIBS_linux   = -lm
AUDIO_linux = Linux/./
CONFIG_linux = Linux/

CFLAGS_freebsd = -O6 -funroll-loops
LIBS_freebsd = -lm
AUDIO_freebsd = Linux/
CONFIG_freebsd = Linux/

CFLAGS = $(CFLAGS_$(MACHINE))
COPTS = $(OPTS) $(CFLAGS)
LIBS = $(LIBS_$(MACHINE))
CONFIG = $(CONFIG_$(MACHINE))
AUDIO = $(AUDIO_$(MACHINE))

OBJ_TRACKER = main$O $(AUDIO)audio$O st_read$O commands$O \
audio$O automaton$O player$O getopt$O open$O tools$O \
dump_song$O setup_audio$O notes$O display$O \
$(UI)ui$O prefs$O tags$O autoinit$O

OBJ_ANALYZER = analyzer$O st_read$O open$O dump_song$O tools$O notes$O \
prefs$O autoinit$O ${UI}ui$O display$O

OBJ_SPLITMOD = split$O tools$O st_read$O dump_song$O open$O notes$O \
display$O prefs$O autoinit$O $(UI)ui$O


all:	config.h tracker randomize analyzer splitmod

config.h:
	cp $(CONFIG)config.h config.h

install: 
	$(INSTALL) $(INST_BIN_OPT) tracker $(BIN_DIR)
	$(INSTALL) $(INST_BIN_OPT) randomize $(BIN_DIR)
	$(INSTALL) $(INST_BIN_OPT) analyzer $(BIN_DIR)

install.man:
	$(INSTALL) $(INST_MAN_OPT) docs/tracker.1 $(MAN_DIR)/man1/tracker.1



devel: 
	-rm -f $(INSTALL_DIR)/dtracker $(INSTALL_DIR)/splitmod
	cp tracker $(INSTALL_DIR)/dtracker
	cp splitmod $(INSTALL_DIR)/splitmod

tracker: ${OBJ_TRACKER}
	${CC} -o tracker ${CFLAGS} ${OBJ_TRACKER} ${LIBS}

analyzer: ${OBJ_ANALYZER}
	$(CC) -o analyzer ${CFLAGS} ${OBJ_ANALYZER} ${LIBS}

randomize: randomize.c
	$(CC) -o randomize ${CFLAGS} randomize.c 

splitmod: ${OBJ_SPLITMOD}
	$(CC) -o splitmod ${CFLAGS} ${OBJ_SPLITMOD} ${LIBS}

main$O: main.c song.h
	$(CC) ${COPTS} main.c

tools$O: main.c 
	$(CC) ${COPTS} tools.c

$(AUDIO)audio$O: $(AUDIO)audio.c 
	cd `dirname $(AUDIO)`; $(CC) -I.. ${COPTS} `basename $(AUDIO)audio.c`

$(UI)ui$O: $(UI)ui.c
	cd $(UI); $(CC) -I.. ${COPTS} ui.c

split$O: split.c
	$(CC) ${COPTS} split.c

open$O: open.c
	$(CC) ${COPTS} open.c

audio$O: audio.c
	$(CC) ${COPTS} audio.c

automaton$O: automaton.c song.h channel.h
	$(CC) ${COPTS} automaton.c

getopt$O: getopt.c getopt.h
	$(CC) ${COPTS} getopt.c

getopt1$O: getopt1.c getopt.h
	$(CC) ${COPTS} getopt1.c

player$O: player.c song.h channel.h
	$(CC) ${COPTS} player.c

st_read$O: st_read.c song.h
	$(CC) ${COPTS} st_read.c

commands$O: commands.c channel.h song.h
	$(CC) ${COPTS} commands.c

unix/termio$O: unix/termio.c
	$(CC) ${COPTS} unix/termio.c
dump_song$O: dump_song.c
	$(CC) $(COPTS) dump_song.c
analyzer$O: analyzer.c
	$(CC) $(COPTS) analyzer.c
setup_audio$O: setup_audio.c
	$(CC) $(COPTS) setup_audio.c
notes$O: notes.c
	$(CC) $(COPTS) notes.c

display$O: display.c
	$(CC) $(COPTS) display.c


clean:
	-rm $(OBJ_TRACKER) $(OBJ_ANALYZER) $(OBJ_SPLITMOD) randomize$O
	-rm tracker randomize splitmod analyzer core 
	-rm tracker.tar tracker.tar.Z tracker.lzh

export:
	-rm tracker.tar.Z
	-rm tracker.lzh
	cd ..; lha a tracker/tracker.lzh tracker/*.[ch] \
	tracker/*/*.[ch] tracker/*/Docs/* \
	tracker/Amiga/server/*.[ch] \
	tracker/man/* \
	tracker/*akefile tracker/Docs/*
	cd ..; tar cvf tracker/tracker.tar tracker/*.[ch] \
	tracker/*/*.[ch] tracker/*/*/*.[ch] \
	tracker/*/Docs/* \ tracker/man/* tracker/Docs/* tracker/*akefile
	compress tracker.tar
